TESTING/LIN/dlqt05.f(3)

NAME
TESTING/LIN/dlqt05.f

SYNOPSIS

  Functions/Subroutines
subroutine dlqt05 (m, n, l, nb, result)
DLQT05

Function/Subroutine Documentation

  subroutine dlqt05 (integer m, integer n, integer l, integer nb, double precision, dimension(6) result)

DLQT05

Purpose:

    !>
    !> DQRT05 tests DTPLQT and DTPMLQT.
    !>

Parameters
    M

    !>          M is INTEGER
    !>          Number of rows in lower part of the test matrix.
    !>

    N

    !>          N is INTEGER
    !>          Number of columns in test matrix.
    !>

    L

    !>          L is INTEGER
    !>          The number of rows of the upper trapezoidal part the
    !>          lower test matrix.  0 <= L <= M.
    !>

    NB

    !>          NB is INTEGER
    !>          Block size of test matrix.  NB <= N.
    !>

    RESULT

    !>          RESULT is DOUBLE PRECISION array, dimension (6)
    !>          Results of each of the six tests below.
    !>
    !>          RESULT(1) = | A - Q R |
    !>          RESULT(2) = | I - Q^H Q |
    !>          RESULT(3) = | Q C - Q C |
    !>          RESULT(4) = | Q^H C - Q^H C |
    !>          RESULT(5) = | C Q - C Q |
    !>          RESULT(6) = | C Q^H - C Q^H |
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 79 of file dlqt05.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.